import request from '@/utils/request';
export const bjgl_list = (data = {}) =>
    request({
        url: '/jcxx/class/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            class_name_short: data.class_name_short,
            class_num: data.class_num,
            grade_id: data.grade_id,
            grade_name: data.grade_name,
            team_id: data.team_id,
            team_name: data.team_name,
            rxnf: data.rxnf,


        }
    })
export const bjgl_add = (data = {}) =>
    request({
        url: '/jcxx/class/add',
        data: {
            issubmit: '1',
            jcxx_class: {
                class_name: data.class_name,
                class_name_short: data.class_name_short,
                class_num: data.class_num,
                grade_id: data.grade_id,
                grade_name: data.grade_name,
                team_id: data.team_id,
                team_name: data.team_name,
                rxnf: data.rxnf,
            }
        }
    })
export const bjgl_edit = (data = {}) =>
    request({
        url: '/jcxx/class/edit',
        data: {
            issubmit: '1',
            class_id: data.class_id,
            jcxx_class: {
                class_name: data.class_name,
                class_name_short: data.class_name_short,
                class_num: data.class_num,
                grade_id: data.grade_id,
                grade_name: data.grade_name,
                team_id: data.team_id,
                team_name: data.team_name,
                rxnf: data.rxnf,
            }
        }
    })
export const bjgl_del = (data = {}) =>
    request({
        url: '/jcxx/class/delete',
        data: {
            issubmit: '1',
            class_id: data.class_id
        }
    })
